Subject: New Version Notification for draft-seantek-xmlns-rdf-urns-00.txt

From: Sean Leonard <[email-masked]>
Date: Tue, 23 Dec 2014 08:53:25 -0800

Hello URN-NID:

Please find the draft that replaces/combines draft-seantek-xmlns-urn-00 
and draft-seantek-rdf-urn-00, below.

For convenience, I am copying and pasting the registration template for 
the "xmlns" NID below the version notification.

Sean

-------- Forwarded Message --------
Subject: 	New Version Notification for draft-seantek-xmlns-rdf-urns-00.txt
Date: 	Tue, 23 Dec 2014 08:17:21 -0800
From: 	[email-masked]
To: 	Sean Leonard <[email-masked]>, Sean Leonard 
<[email-masked]>

A new version of I-D, draft-seantek-xmlns-rdf-urns-00.txt
has been successfully submitted by Sean Leonard and posted to the
IETF repository.

Name:		draft-seantek-xmlns-rdf-urns
Revision:	00
Title:		URN Namespaces for XML Namespaces and RDF IRIs
Document date:	2014-12-23
Group:		Individual Submission
Pages:		9
URL:            http://www.ietf.org/internet-drafts/draft-seantek-xmlns-rdf-urns-00.txt
Status:         https://datatracker.ietf.org/doc/draft-seantek-xmlns-rdf-urns/
Htmlized:       http://tools.ietf.org/html/draft-seantek-xmlns-rdf-urns-00

Abstract:
    XML segregates elements into namespaces, which can be used to mix
    tags with different semantics in a composite XML document.  XML
    namespaces are identified by URIs (XML 1.0) or IRIs (XML 1.1).
    Similarly, RDF contains "nodes" that are identified by "URI
    references" (RDF 1.0) or "IRIs" (RDF 1.1).  This document defines
    URNs specifically for XML namespaces and RDF.

*********************
  Namespace ID:
     xmlns

  Registration Information:
     Version: 1
     Date: 2014-12-23

  Declared registrant of the namespace:
     IETF

  Declaration of syntactic structures:
     An xmlns name is any
     valid XML name corresponding to "Name" in Section 2.3
     of [XML1.0  <http://tools.ietf.org/html/draft-seantek-xmlns-rdf-urns-00#ref-XML1.0>] (production 5), with the following restrictions:
        1. The name MUST be at least four characters.
        2. Colons MAY be used as intra-name dividers.
        3. Colons MUST NOT appear at the beginning or end of the name.
        4. Consecutive colons MUST NOT appear.
     and the following relaxation:
        5. The first part of the name preceding the first colon MAY
           be comprised of DIGITs (which are intended to correspond
           to registered IANA Private Enterprise Numbers);
           further discussion is in
           "Process of identifier assignment".

       The ABNF of a name is:

        urn-xmlns-name = [DIGIT+ ":"] NoColonNameStartChar
                         *([":"] NoColonNameChar)

     Where the productions NoColonNameStartChar and NoColonNameChar
     are respectively taken from NameStartChar (production 4)
     and NameChar (production 4a) in [XML1.0  <http://tools.ietf.org/html/draft-seantek-xmlns-rdf-urns-00#ref-XML1.0>], with ":" omitted.
     Although ABNF is formally US-ASCII only, the domain of
     this production includes the whole Unicode range.

     The name is used as the basis of the
     Namespace Specific String (NSS) as follows.
     When the NSS is encoded in a URN in a URI protocol slot,
     Unicode code points beyond U+007F
     are encoded as percent-encoded UTF-8. Conveniently,
     all XML name characters in the US-ASCII range are in the
     [RFC3986  <http://tools.ietf.org/html/rfc3986>] unreserved set.
     When the NSS is encoded in a URN in a IRI protocol slot,
     Unicode code points beyond U+007F in the unreserved set
     are encoded as-is; they MUST NOT be percent-encoded.

  Relevant ancillary documentation:
     [XML1.0  <http://tools.ietf.org/html/draft-seantek-xmlns-rdf-urns-00#ref-XML1.0>], [XML1.1  <http://tools.ietf.org/html/draft-seantek-xmlns-rdf-urns-00#ref-XML1.1>].

  Identifier uniqueness considerations:
     The meaning of an identifier is registered in the registry,
     and thus is unique.

  Identifier persistence considerations:
     Once an identifier is registered, its meaning cannot be changed.

  Process of identifier assignment:
     Identifiers are registered with IANA on a First-Come, First-Served
     basis. One-character prefixes are reserved for further
     use. Two- and three-character prefixes are reserved
     for language tags and regional codes; however, they
     have no such semantic content when used in an xmlns name. Whole
     number prefixes are intended to represent IANA
     Private Enterprise Numbers.
     Registrants are free to register names with reserved two-character
     and three-character prefixes, such as "au:flag" or "en:us:ca:lax".
     Registrants are also free to register names with reserved whole
     number prefixes, such as "20:10-250": these names have
     a particular registration process since they are implicitly.
     The IANA Considerations section fully defines the
     registration processes.

  Process for identifier resolution:
     The registration for a particular identifier MAY include
     any number of URIs that a URN resolver MAY use to resolve
     the URN to return specific resources. The registered
     URIs are not equivalent to the registered URN, so an XML document
     that refers to that particular namespace MUST use the registered
     URN as the XML namespace URI.
     Fragments (delimited by the # character) are not considered
     part of the name, the NSS, or the URN, so a fragment would not
     affect lexical equivalence. Nevertheless, a urn: URI or IRI
     might be produced with a fragment component.
     For compatibility purposes,
     a URN resolver SHALL pass any [RFC3986  <http://tools.ietf.org/html/rfc3986>] fragment component in the
     urn: URI or IRI through to the resolved URI if the registered URI
     does not have a fragment component. If the registered URI has
     a fragment component, a URN resolver SHALL NOT pass any [RFC3986  <http://tools.ietf.org/html/rfc3986>]
     fragment component in the urn: URI or IRI; the fragment
     component SHALL be ignored.

  Rules for Lexical Equivalence:
     The NSS is compared case sensitively.
     If a URI and a IRI are compared against each other, the
     UTF-8 percent-encoded octets in the URI representing code points
     in the unreserved set beyond U+007F SHALL be treated
     as the Unicode code points
     in the IRI. An IRI that contains UTF-8 percent-encoded octets
     in the unreserved set beyond U+007F is not supposed to exist;
     it is a protocol error.
     [[TODO: more concise way to describe this?]]
     [[NB: control characters such as U+0080 - U+009F are not
       in the IRI unreserved set, so those would be UTF-8
       percent-encoded.]]
     [[NB: the term "Lexical Equivalence" as the author understands
       it for URNs means to apply to the NSS only.
       Since fragments aren't part of the NSS (or even the URN),
       they don't need to be mentioned for "lexical equivalence".
       The issue of whether fragments are part of the NSS
       (or the URN) is under active debate; the positions
       in this Internet-Draft represent a reasonable
       interpretation.]]

  Conformance with URN Syntax:
     The URN of this namespace conforms to new URN Syntax
     [URNBIS  <http://tools.ietf.org/html/draft-seantek-xmlns-rdf-urns-00#ref-URNBIS>], old URN syntax [RFC2141  <http://tools.ietf.org/html/rfc2141>], and Uniform Resource Identifier
     (URI): Generic Syntax [RFC3986  <http://tools.ietf.org/html/rfc3986>].

  Validation mechanism:
     An XMLNS URN may be validated by looking it up in the IANA Registry.

  Scope:
     Global.